# Uses of Interface
org.eclipse.gef.palette.PaletteListener

Packages that use PaletteListener
Package
Description
org.eclipse.gef.ui.palette

## Uses of PaletteListener in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette with parameters of type PaletteListener
Modifier and Type
Method
Description
`void`
PaletteViewer.`addPaletteListener(PaletteListener paletteListener)`
Adds the given PaletteListener as the one to be notified when the active tool on the palette changes.
`void`
PaletteViewer.`removePaletteListener(PaletteListener paletteListener)`
The given PaletteListener will not be notified of active tool changes in the palette.